Set app permissions (project)
curl --request PUT \
--url https://api.onecli.sh/v1/rules/permissions/{provider} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"changes": [
{
"toolId": "<string>"
}
],
"conditions": [
{
"target": "body",
"operator": "contains",
"value": "<string>",
"key": "<string>"
}
],
"agentId": "<string>"
}
'import requests
url = "https://api.onecli.sh/v1/rules/permissions/{provider}"
payload = {
"changes": [{ "toolId": "<string>" }],
"conditions": [
{
"target": "body",
"operator": "contains",
"value": "<string>",
"key": "<string>"
}
],
"agentId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
changes: [{toolId: '<string>'}],
conditions: [{target: 'body', operator: 'contains', value: '<string>', key: '<string>'}],
agentId: '<string>'
})
};
fetch('https://api.onecli.sh/v1/rules/permissions/{provider}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": "<string>"
}{
"error": "<string>"
}Rules
Set app permissions (project)
Updates tool-level permissions for a provider at the project scope.
Omit agentId to write the all-agents defaults. Pass agentId to write one agent’s override layer; there, the inherit permission removes the agent’s override for a tool so it falls back to the all-agents setting.
PUT
/
rules
/
permissions
/
{provider}
Set app permissions (project)
Authorizations
API key obtained from the dashboard or GET /user/api-key
Path Parameters
App provider identifier (e.g., gmail, github, jira)
Body
application/json
Response
Permissions updated
The response is of type object.
⌘I